<!DOCTYPE html>
<html>
<head>
  
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />

<script type="text/javascript" src="js/jquery.min.js"></script>
<script type="text/javascript" src="js/jquery.tablesorter.min.js"></script>
<script type="text/javascript" src="js/Chart.min.js"></script>
<script type="text/javascript" src="js/bootstrap.min.js"></script>

<link rel="stylesheet" href="css/bootstrap.min.css" type="text/css"/>
<link rel="stylesheet" href="css/reporting.css" type="text/css"/>
<link rel="stylesheet" href="css/font-awesome.min.css"/>
<link rel="shortcut icon" href="images/favicon.png"/>

<script type="text/javascript">
$(document).ready(function() {
    // this will tell tablesorter to try looking for the data-value attribute
    // if present, it'll sort by that instead
    // otherwise, it'll sort by the text content of the table cell
    $("#tablesorter").tablesorter({
        textAttribute: 'data-value',
        // ignores the first row of the header, the 'scenario', 'steps', since
        // sorting those doesn't make sense
        selectorHeaders: '> thead tr:not(.dont-sort) th',
        // use a stable sort
        sortStable: true
    });
});
</script>












  
<title>Cucumber-JVM Reports  - Steps Overview</title>

</head>
<body>

<nav class="navbar navbar-default navbar-fixed-top" id="navigation">
  <div class="container-fluid">
    <div class="collapse navbar-collapse">
      <p class="navbar-text navbar-left">Cucumber-JVM Report</p>
      <ul class="nav navbar-nav navbar-right">
                <li role="presentation" ><a href="feature-overview.html">Features</a></li>
        <li role="presentation" ><a href="tag-overview.html">Tags</a></li>
        <li role="presentation"     class="active" ><a href="step-overview.html">Steps</a></li>
        <li role="presentation" ><a href="failures-overview.html">Failures</a></li>
      </ul>
    </div>
  </div>
</nav>

<div class="container-fluid" id="build-info">
  <div class="row">
    <div class="col-md-6 col-md-offset-1">
      <table class="table table-bordered">
        <thead>
          <tr>
            <th>Project</th>
                          <th>Number</th>
                        <th>Date</th>
          </tr>
        </thead>
        <tbody>
          <tr class="info">
            <td>RestAssured-BDD-Java</td>
                          <td>1</td>
                        <td>10 Aug 2021, 15:30</td>
          </tr>
        </tbody>
      </table>
    </div>
  </div>
</div>

<div id="report-lead" class="container-fluid>
  <div class="row">
    <div class="col-md-10 col-md-offset-1">
      <h2>Steps Statistics</h2>
              <p>The following graph shows step statistics for this build. Below list is based on results.
 step does not provide information about result then is not listed below.
 Additionally @Before and @After are not counted because they are part of the scenarios, not steps.</p>
          </div>
  </div>
</div>

<div class="container-fluid" id="summary">
  <div class="row">
    <div class="col-md-10 col-md-offset-1">
              <table id="tablesorter" class="stats-table table-hover">

          <thead>
            <tr class="header">
              <th>Implementation</th>
              <th>Occurrences</th>
              <th>Duration</th>
              <th>Average</th>
              <th>Ratio</th>
            </tr>
          </thead>

          <tbody>
                          <tr>
                <td class="location">Steps.Steps.serviceCallWithPOSTMethod()</td>
                <td>1</td>
                <td class="duration" data-value="1826000000">1s 826ms</td>
                <td class="duration" data-value="1826000000">1s 826ms</td>
                <td class="passed">100.00%</td>
              </tr>
                          <tr>
                <td class="location">Steps.Steps.serviceIsRunningWithPath(java.lang.String)</td>
                <td>2</td>
                <td class="duration" data-value="434000000">434ms</td>
                <td class="duration" data-value="217000000">217ms</td>
                <td class="passed">100.00%</td>
              </tr>
                          <tr>
                <td class="location">Steps.Steps.service_call_with_get_method()</td>
                <td>1</td>
                <td class="duration" data-value="65000000">065ms</td>
                <td class="duration" data-value="65000000">065ms</td>
                <td class="passed">100.00%</td>
              </tr>
                          <tr>
                <td class="location">Steps.Steps.userAddAuthor(java.lang.String)</td>
                <td>1</td>
                <td class="duration" data-value="0">000ms</td>
                <td class="duration" data-value="0">000ms</td>
                <td class="passed">100.00%</td>
              </tr>
                          <tr>
                <td class="location">Steps.Steps.userAddIdId(int)</td>
                <td>1</td>
                <td class="duration" data-value="1000000">001ms</td>
                <td class="duration" data-value="1000000">001ms</td>
                <td class="passed">100.00%</td>
              </tr>
                          <tr>
                <td class="location">Steps.Steps.userAddTitle(java.lang.String)</td>
                <td>1</td>
                <td class="duration" data-value="0">000ms</td>
                <td class="duration" data-value="0">000ms</td>
                <td class="passed">100.00%</td>
              </tr>
                          <tr>
                <td class="location">Steps.Steps.validateTheResponseWith(java.lang.String)</td>
                <td>1</td>
                <td class="duration" data-value="691000000">691ms</td>
                <td class="duration" data-value="691000000">691ms</td>
                <td class="passed">100.00%</td>
              </tr>
                          <tr>
                <td class="location">Steps.Steps.validateTheResponseWithStatuscodeStatuscode(int)</td>
                <td>2</td>
                <td class="duration" data-value="0">000ms</td>
                <td class="duration" data-value="0">000ms</td>
                <td class="passed">100.00%</td>
              </tr>
                      </tbody>

          <tfoot class="total">
            <tr>
              <td>8</td>
              <td>10</td>
              <td class="duration">3s 017ms</td>
              <td class="duration">301ms</td>
              <td>Totals</td>
            </tr>
          </tfoot>

        </table>
          </div>
  </div>
</div>


<nav class="navbar navbar-default" id="footer">
  <div class="container-fluid">
    <p class="navbar-text navbar-right">
        <small>generate Cucumber HTML reports via:&nbsp;</small>
        <a class="navbar-link" href="https://github.com/jenkinsci/cucumber-reports-plugin">Jenkins Plugin</a> |
        <a class="navbar-link" href="https://github.com/damianszczepanik/cucumber-reporting">Standalone</a> |
        <a class="navbar-link" href="https://github.com/damianszczepanik/cucumber-sandwich">Sandwich</a> |
        <a class="navbar-link" href="https://github.com/damianszczepanik/maven-cucumber-reporting">Maven</a>
        &nbsp;&nbsp;
    </p>
  </div>
</nav>

</body>
</html>
